org.aspectj.lang.reflect

## Interface DeclarePrecedence

    public interface DeclarePrecedence

AspectJ runtime representation of a declare precedence statement as declared in an aspect.

### Method Summary

Methods
`AjType` `getDeclaringType()` The declaring aspect
`TypePattern[]` `getPrecedenceOrder()` Returns an ordered set of type patterns.

### Method Detail

#### getDeclaringType

    AjType getDeclaringType()

The declaring aspect

#### getPrecedenceOrder

    TypePattern[] getPrecedenceOrder()

Returns an ordered set of type patterns. An aspect matching a type pattern at a lower index in the array takes precedence over an aspect that only matches a type pattern at a higher index in the array.